
## ext_m2_BannerManager
This module adds the the ability to build a boostrap grid of blocks from the admin.
## Installation  
  
Use the package manager [composer](https://getcomposer.org/) to install the module.  
  
```bash  
composer require pinpoint/bannermanager 
```  
## Usage
### Adding a new banner
To add a new banner you need to head to `Admin > Content > Elements > Banner Manager` and then click `Add New Banner`. From here you can build your banner with all the blocks you need. The blocks can be orginised as you like with the drag & drop + resize.

You can manage the following options for each block:

| Attribute | Type | Description |
|--|--|:--|
| Block Text | TEXT | The text that will be rendered in the block. |
| Link Text | TEXT | This is the main CTA text for the block. |
| Link Position | SELECT | Where the link will be positioned on the block. |
| Link Colour | COLOUR | The colour of the CTA. |
| Link URL | TEXT | Where the CTA will take you too. |
| Link Action | SELECT | Choose if the link will open in the current tab or a new tab. |
| Hide on Mobile? | SELECT | Choose if this block should be hidden on mobile. |
| Image | FILE | The background image for the block. |
| Image position type | SELECT | How the image will be positioned/filled inside the block. |



### Using a banner
To include a banner on a page you can do this in two ways.
Via Layout XML:
```xml
<block class="Pinpoint\BannerManager\Block\Renderer" name="banner.example.reference">
    <arguments>
        <argument name="banner_id" xsi:type="string">1</argument>
    </arguments>
</block>
```
Via CMS:
```
{{block class="Pinpoint\BannerManager\Block\Renderer" name="banner.example.reference" banner_id="1"}}
```

By default it will render a very basic skeleton with no styles (unless you're using boostrap).

### Working in the template file
Get all banner blocks:
```php
$block->getBannerBlocks();
```
Using a block model:
```php
$blockRef = $bannerBlock->getData('block_ref'); //example: block_5
$blockImage = $bannerBlock->getData('image'); //example: /media/pinpoint/xxxx.jpg
$blockImageLocation = $bannerBlock->getData('block_image_location'); //example: full
$blockText = $bannerBlock->getData('text');
$blockTextColour = $bannerBlock->getData('text_colour'); //example: #000000
$blockTextPosition = $bannerBlock->getData('text_position'); //example: top_left
$blockLinkText = $bannerBlock->getData('link_text');
$blockLinkURL = $bannerBlock->getData('link_url');
$blockLinkTarget = $bannerBlock->getData('link_target'); //_self or _blank
$blockEnabled = $bannerBlock->getData('enabled'); //1 or 0
$blockTextSize = $bannerBlock->getData('block_text_size');
$hideOnMobile = $bannerBlock->getData('hide_on_mobile'); //1 or 0
```

## Screenshots
![List of banners](readme-banners.png)
![Adding a new banner](readme-banner-addedit.png)